/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.bpm.cts.activity;

// $Id: ActivityInputSetDescriptorTest.java 1989 2008-08-22 20:13:51Z thomas.diesler@jboss.com $

import java.io.IOException;
import java.net.URL;

import org.jboss.bpm.client.ProcessManager;
import org.jboss.bpm.model.Process;

/**
 * Test Activity InputSet
 * 
 * @author thomas.diesler@jboss.com
 * @since 15-Aug-2008
 */
public class ActivityInputSetDescriptorTest extends ActivityInputSetTest
{
  @Override
  protected Process getProcess() throws IOException
  {
    URL procURL = getResourceURL("cts/activity/activity-inputset-" + getDialect() + ".xml");
    ProcessManager pm = ProcessManager.locateProcessManager();
    Process proc = pm.createProcess(procURL);
    return proc;
  }
}
