/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.bpm.pattern.data.taskdata;

// $Id: TaskDataMarshallerTest.java 1935 2008-08-19 19:15:14Z thomas.diesler@jboss.com $

import java.io.IOException;

import org.jboss.bpm.client.ProcessManager;
import org.jboss.bpm.model.Process;

/**
 * Data elements can be defined by tasks which are accessible only within the context of individual execution instances
 * of that task. 
 * 
 * https://jira.jboss.org/jira/browse/JBPM-1515
 * 
 * @author thomas.diesler@jboss.com
 * @since 15-Aug-2008
 */
public class TaskDataMarshallerTest extends TaskDataTest
{
  protected Process getProcess() throws IOException
  {
    // Marshall the process to a string
    Process proc = super.getProcess();
    String procXML = marshallProcess(proc);
    
    // Recreate the process from the marshalled process
    ProcessManager procManager = ProcessManager.locateProcessManager();
    return procManager.createProcess(procXML);
  }
}